Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BasicGroupFullInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BasicGroupFullInfo

Enclosing class:
  TdApi

public static final class TdApi.BasicGroupFullInfo extends TdApi.Object
Contains full information about a basic group.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.BotCommands[]`
`botCommands`
List of commands of bots in the group.
`static final int`
`CONSTRUCTOR`
`long`
`creatorUserId`
User identifier of the creator of the group; 0 if unknown.
`String`
`description`
Group description.
`TdApi.ChatInviteLink`
`inviteLink`
Primary invite link for this group; may be null.
`TdApi.ChatMember[]`
`members`
Group members.
`TdApi.ChatPhoto`
`photo`
Chat photo; may be null.

## Constructor Summary

Constructors
Constructor
Description
`BasicGroupFullInfo()`
Contains full information about a basic group.
`BasicGroupFullInfo(TdApi.ChatPhoto photo, String description, long creatorUserId, TdApi.ChatMember[] members, TdApi.ChatInviteLink inviteLink, TdApi.BotCommands[] botCommands)`
Contains full information about a basic group.
`BasicGroupFullInfo(DataInput input)`
Contains full information about a basic group.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### photo

public TdApi.ChatPhoto photo
Chat photo; may be null.

### description

public String description
Group description. Updated only after the basic group is opened.

### creatorUserId

public long creatorUserId
User identifier of the creator of the group; 0 if unknown.

### members

public TdApi.ChatMember[] members
Group members.

### inviteLink

public TdApi.ChatInviteLink inviteLink
Primary invite link for this group; may be null. For chat administrators with canInviteUsers right only. Updated only after the basic group is opened.

### botCommands

public TdApi.BotCommands[] botCommands
List of commands of bots in the group.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### BasicGroupFullInfo

public BasicGroupFullInfo()
Contains full information about a basic group.

### BasicGroupFullInfo

public BasicGroupFullInfo(TdApi.ChatPhoto photo, String description, long creatorUserId, TdApi.ChatMember[] members, TdApi.ChatInviteLink inviteLink, TdApi.BotCommands[] botCommands)
Contains full information about a basic group.

Parameters:
  `photo` - ChatPhoto Chat photo; may be null.
  `description` - String Group description. Updated only after the basic group is opened.
  `creatorUserId` - long User identifier of the creator of the group; 0 if unknown.
  `members` - ChatMember[] Group members.
  `inviteLink` - ChatInviteLink Primary invite link for this group; may be null. For chat administrators with canInviteUsers right only. Updated only after the basic group is opened.
  `botCommands` - BotCommands[] List of commands of bots in the group.

### BasicGroupFullInfo

public BasicGroupFullInfo(DataInput input) throws IOException
Contains full information about a basic group.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`